Issue1513

classification
Title: Maven artifact does not include standard library.
Type: Severity: normal
Components: Library Versions: 2.5.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: dstengle, fwierzbicki, leosoto, martiell, rplevy
Priority: high Keywords:

Created on 2009-12-03.19:47:42 by dstengle, last changed 2012-08-08.22:49:46 by fwierzbicki.

Messages
msg5341 (view) Author: David Stenglein (dstengle) Date: 2009-12-03.19:47:41
The missing standard library in the maven artifact makes some things
very difficult. String handling is the most immediate problem, showing up
with:

LookupError: no codec search functions registered: can't find encoding

It would be great if there was at least an option to get an artifact
with the full Lib.

Thanks,
Dave
msg5355 (view) Author: David Stenglein (dstengle) Date: 2009-12-07.20:07:03
I am seeing a more fundamental issue with this having to do with how
jython loads libraries. It appears that jython needs an explicit pointer
to the location of it's libs and cannot simply search the CLASSPATH.

So, even if the maven artifact includes the libraries, I don't know if 
it would work.
msg5356 (view) Author: Leonardo Soto (leosoto) Date: 2009-12-07.20:32:13
No. 

If the Lib directory is inside the jython.jar file (take a look at the
stand alone jar) it works just fine. 

The thing is that what needs to be included on this new maven artifact
is not the same normal jar included on the regular artifact, but the
stand-alone one.
msg5369 (view) Author: David Stenglein (dstengle) Date: 2009-12-09.23:38:53
It does appear to work if you run org.python.util.jython from the same jar
that has the Lib/ directory.

I've just verified that the running jython from a different jar than the
one containing the library does not work. You cannot package the libraries
separately without setting the JYTHONPATH explicitly.
msg5373 (view) Author: Leonardo Soto (leosoto) Date: 2009-12-10.12:43:10
Yes, that's correct AFAIU.

Does that fact get in the way somehow when creating a stand-alone maven
artifact?
msg7358 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2012-08-08.22:49:46
2.5.3rc1 and all future releases will be hosted on maven central. The jython-standalone artifact contains the Lib/ see the announcement for links: http://fwierzbicki.blogspot.com/2012/08/jython-253rc1-released.html
History
Date User Action Args
2012-08-08 22:49:46fwierzbickisetstatus: open -> closed
nosy: + fwierzbicki
messages: + msg7358
priority: high
assignee: fwierzbicki
resolution: fixed
2010-09-06 14:47:59rplevysetnosy: + rplevy
2009-12-30 22:39:16martiellsetnosy: + martiell
2009-12-10 12:43:10leosotosetmessages: + msg5373
2009-12-09 23:38:53dstenglesetmessages: + msg5369
2009-12-07 20:32:14leosotosetmessages: + msg5356
2009-12-07 20:07:03dstenglesetmessages: + msg5355
2009-12-06 16:33:44leosotosetnosy: + leosoto
2009-12-03 19:47:42dstenglecreate